Wire E2 Problems

I have an error whenever I try to use E2.

Whenever I try to type interval or something of the like, it erases the whole line and gives me a different lua error each time. I have Wire SVN, updated today (I reinstalled my SVN addons with the tutorial from Divran.)

Please, somebody help.

The error was:


wire/client/TextEditor.lua:1630: attempt to index global 'wire_expression2_funclist' (a nil value)

Make sure you’re using the latest SVN version of Wiremod.
SVN Tutorial http://www.facepunch.com/showthread.php?t=688324

I am. I updated it today.

Okay. Sorry for the double post, but…
Whenever I try to type interval or something of the like, it erases the whole line and gives me a different lua error each time. I have Wire SVN, updated today (I reinstalled my SVN addons with the tutorial from Divran.)

Please, somebody help.

The error this time was:


wire/client/TextEditor.lua:1630: attempt to index global 'wire_expression2_funclist' (a nil value)

You could report this to the Wiremod bug tracker and see if any admins can confirm it, and fix it.
http://www.wiremod.com:8080/

Edit: But it’s down a lot… :frowning:

Actually, no need. I searched up my error on Google. The solution was to back up anything you want to keep and then reinstall GMod. I did so and now it works…
But now my GMod won’t start. It gets past the Steam message saying it is starting up and then it crashes giving me an error message stating, “Hl2.exe has encountered an error and needs to close.”

Any solution?